## greenboot 0.15.5

=== Makefile ===
PREFIX=/usr
UNIT_DIR=${PREFIX}/lib/system/system/

build:
	@echo "Build done"

install:
	mkdir -p ${DESTDIR}${PREFIX}/libexec/greenboot
	mkdir -p ${DESTDIR}${PREFIX}/lib/motd.d/
	mkdir -p ${DESTDIR}${PREFIX}/lib/systemd/system/
	mkdir -p ${DESTDIR}${PREFIX}/lib/systemd/system/greenboot-healthcheck.service.d/
	mkdir -p ${DESTDIR}${PREFIX}/lib/tmpfiles.d/
	mkdir -p ${DESTDIR}${PREFIX}/lib/greenboot/check/required.d
	mkdir -p ${DESTDIR}${PREFIX}/lib/greenboot/check/wanted.d
	mkdir -p ${DESTDIR}/etc/greenboot/
	install -m 755 usr/libexec/greenboot/* ${DESTDIR}${PREFIX}/libexec/greenboot/
	install -m 644 usr/lib/motd.d/boot-status ${DESTDIR}${PREFIX}/lib/motd.d/boot-status
	install -m 644 usr/lib/systemd/system/*.service ${DESTDIR}${PREFIX}/lib/systemd/system/
	install -m 644 usr/lib/systemd/system/*.target ${DESTDIR}${PREFIX}/lib/systemd/system/
	install -m 644 usr/lib/systemd/system/greenboot-healthcheck.service.d/*.conf ${DESTDIR}${PREFIX}/lib/systemd/system/greenboot-healthcheck.service.d/
	install -m 644 usr/lib/tmpfiles.d/* ${DESTDIR}${PREFIX}/lib/tmpfiles.d/
	install -m 755 usr/lib/greenboot/check/required.d/* ${DESTDIR}${PREFIX}/lib/greenboot/check/required.d/
	install -m 755 usr/lib/greenboot/check/wanted.d/* ${DESTDIR}${PREFIX}/lib/greenboot/check/wanted.d/
	install -m 644 etc/greenboot/greenboot.conf ${DESTDIR}/etc/greenboot/greenboot.conf

uninstall:
	rm -f ${DESTDIR}${PREFIX}/libexec/greenboot/*
	rm -f ${DESTDIR}${PREFIX}/lib/motd.d/boot-status
	rm -f ${DESTDIR}${PREFIX}/lib/systemd/system/*.service
	rm -f ${DESTDIR}${PREFIX}/lib/tmpfiles.d/*
	rm -f ${DESTDIR}${PREFIX}/lib/greenboot/check/required.d/*
	rm -f ${DESTDIR}${PREFIX}/lib/greenboot/check/wanted.d/*
	rm -f ${DESTDIR}/etc/greenboot/greenboot.conf

=== debian/changelog ===
greenboot (0.15.5-0deepin3) unstable; urgency=medium

  * remove warning about update platforms check

 -- ssk-wh <fanpengcheng@uniontech.com>  Wed, 30 Oct 2024 13:12:35 +0800

greenboot (0.15.5-0deepin2) unstable; urgency=medium

  * not start systemd service when installed

 -- ssk-wh <fanpengcheng@uniontech.com>  Tue, 10 Sep 2024 11:12:50 +0800

greenboot (0.15.5-0deepin1) unstable; urgency=medium

  * use on deepin.

 -- ssk-wh <fanpengcheng@uniontech.com>  Mon, 26 Aug 2024 13:31:12 +0800

greenboot (0.15.5) unstable; urgency=low

  * The 0.15.5 release
  * Auto-detect image type and use correct rollback
  * Support for read only /boot mount
  * Warn users of missing disabled healthchecks
  * Add feature to disable healthchecks
  
 -- ssk-wh <fanpengcheng@uniontech.com>  Wed, 19 Jun 2024 11:32:58 +0800

=== debian/control ===
Source: greenboot
Section: admin
Priority: optional
Maintainer: ssk-wh <fanpengcheng@uniontech.com>
Build-Depends:
 debhelper (>= 10),
 debhelper-compat (= 10),
Standards-Version: 4.5.0
Homepage: https://github.com/fedora-iot/greenboot
Vcs-Browser: https://github.com/deepin-community/greenboot
Vcs-Git: https://github.com/deepin-community/greenboot.git
Rules-Requires-Root: no

Package: greenboot
Architecture: any
Depends:
 grub-common,
 systemd (>= 240),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic Health Check Framework for systemd
 Generic Health Check Framework for systemd.

=== debian/rules ===
#!/usr/bin/make -f
DEB_DESTDIR=debian/greenboot

%:
	dh $@ --with-systemd

override_dh_systemd_start:
	dh_systemd_start --no-start
